package com.inspect.metadata.montdata.service.impl;

import com.inspect.metadata.montdata.domain.BasedataMontEvnData;
import com.inspect.metadata.montdata.mapper.BasedataMontEvnDataMapper;
import com.inspect.metadata.montdata.service.IBasedataMontEvnDataService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BasedataMontEvnDataServiceImpl implements IBasedataMontEvnDataService {
    @Resource
    private BasedataMontEvnDataMapper basedataMontEvndataMapper;

    public BasedataMontEvnData selectBasedataMontEvnDataByMontEvnDataId(Long montEvnDataId) {
        return this.basedataMontEvndataMapper.selectBasedataMontEvnDataByMontEvnDataId(montEvnDataId);
    }

    public List<BasedataMontEvnData> selectBasedataMontEvnDataList(BasedataMontEvnData basedataMontEvndata) {
        return this.basedataMontEvndataMapper.selectBasedataMontEvnDataList(basedataMontEvndata);
    }

    public int insertBasedataMontEvnData(BasedataMontEvnData basedataMontEvndata) {
        return this.basedataMontEvndataMapper.insertBasedataMontEvnData(basedataMontEvndata);
    }

    public int updateBasedataMontEvnData(BasedataMontEvnData basedataMontEvndata) {
        return this.basedataMontEvndataMapper.updateBasedataMontEvnData(basedataMontEvndata);
    }

    public int deleteBasedataMontEvnDataByMontEvnDataIds(Long[] montEvnDataIds) {
        return this.basedataMontEvndataMapper.deleteBasedataMontEvnDataByMontEvnDataIds(montEvnDataIds);
    }

    public int deleteBasedataMontEvnDataByMontEvnDataId(Long montEvnDataId) {
        return this.basedataMontEvndataMapper.deleteBasedataMontEvnDataByMontEvnDataId(montEvnDataId);
    }

    public List<BasedataMontEvnData> evnList() {
        return this.basedataMontEvndataMapper.evnList();
    }
}
